CREATE TABLE cst_interface_std_cost_headers (
    EXTERNAL_SYSTEM_REFERENCE    VARCHAR2(960) ,
    EXTERNAL_SYSTEM_REF_ID       VARCHAR2(120) ,
    COST_ORG_CODE                VARCHAR2(960) ,
    COST_BOOK_CODE               VARCHAR2(120) ,
    BUY_COST_FLAG                VARCHAR2(4)   ,
    ITEM_NUMBER                  VARCHAR2(4000)    NOT NULL,
    INVENTORY_ORG_CODE           VARCHAR2(960) ,
    SUBINVENTORY_CODE            VARCHAR2(960) ,
    LOCATOR                      VARCHAR2(324) ,
    LOCATOR_ID                   NUMBER(18, 0) ,
    LOT_NUMBER                   VARCHAR2(960) ,
    SERIAL_NUMBER                VARCHAR2(960) ,
    GRADE_CODE                   VARCHAR2(960) ,
    VAL_UNIT_CODE                VARCHAR2(4000),
    ASSET_EXPENSE_FLAG           VARCHAR2(120) ,
    EFFECTIVE_START_DATE         DATE          ,
    CURRENCY_CODE                VARCHAR2(60)  ,
    UOM_CODE                     VARCHAR2(120) ,
    PROCESSING_STATUS            VARCHAR2(4)   ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    REQUEST_ID                   NUMBER(18, 0) ,
    JOB_DEFINITION_NAME          VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE       VARCHAR2(3600),
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    LOAD_REQUEST_ID              NUMBER(18, 0) ,
    SCENARIO_NUMBER              VARCHAR2(120) ,
    EXTERNAL_SYSTEM_REFERENCE    VARCHAR2(960) ,
    EXTERNAL_SYSTEM_REF_ID       VARCHAR2(120) ,
    COST_ORG_CODE                VARCHAR2(960) ,
    COST_BOOK_CODE               VARCHAR2(120) ,
    ITEM_NUMBER                  VARCHAR2(4000)    NOT NULL,
    INVENTORY_ORG_CODE           VARCHAR2(960) ,
    SUBINVENTORY_CODE            VARCHAR2(960) ,
    LOCATOR_ID                   NUMBER(18, 0) ,
    LOT_NUMBER                   VARCHAR2(960) ,
    SERIAL_NUMBER                VARCHAR2(960) ,
    GRADE_CODE                   VARCHAR2(960) ,
    VAL_UNIT_CODE                VARCHAR2(4000),
    ASSET_EXPENSE_FLAG           VARCHAR2(120) ,
    EFFECTIVE_START_DATE         DATE          ,
    CURRENCY_CODE                VARCHAR2(60)  ,
    UOM_CODE                     VARCHAR2(120) ,
    PROCESSING_STATUS            VARCHAR2(4)   ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    REQUEST_ID                   NUMBER(18, 0) ,
    JOB_DEFINITION_NAME          VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE       VARCHAR2(3600),
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    LOCATOR                      VARCHAR2(324) ,
    LOAD_REQUEST_ID              NUMBER(18, 0) ,
    SCENARIO_NUMBER              VARCHAR2(120) ,
    BUY_COST_FLAG                VARCHAR2(4)   ,
    CONSTRAINT pk_cst_interface_std_cost_headers PRIMARY KEY (EXTERNAL_SYSTEM_REFERENCE, EXTERNAL_SYSTEM_REF_ID, EXTERNAL_SYSTEM_REFERENCE, EXTERNAL_SYSTEM_REF_ID)
);
